io.agora.rtc

## Class LiveTranscoding

- java.lang.Object
- - io.agora.rtc.LiveTranscoding

-     public class LiveTranscoding
      extends java.lang.Object

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `private int` | `audioBitrate`
    `private int` | `audioChannels`
    `private int` | `audioCodecProfile`
    `private int` | `audioSampleRate`
    `private int` | `backgroundColor`
    `private RtcImage` | `backgroundImage`
    `private int` | `backgroundImageCount`
    `private int` | `height`
    `private int` | `lowLatency`
    `private java.lang.String` | `metadata`
    `private java.lang.String` | `transcodingExtraInfo`
    `private TranscodingUser` | `transcodingUsers`
    `private int` | `userCount`
    `private int` | `videoBitrate`
    `private int` | `videoCodecProfile`
    `private int` | `videoFrameRate`
    `private int` | `videoGop`
    `private RtcImage` | `watermark`
    `private int` | `watermarkCount`
    `private int` | `width`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `LiveTranscoding()`
    `LiveTranscoding(int width, int height, int videoBitrate, int videoFrameRate, int lowLatency, int videoGop, int videoCodecProfile, int backgroundColor, int userCount, TranscodingUser transcodingUsers, java.lang.String transcodingExtraInfo, java.lang.String metadata, RtcImage watermark, int watermarkCount, RtcImage backgroundImage, int backgroundImageCount, int audioSampleRate, int audioBitrate, int audioChannels, int audioCodecProfile)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `getAudioBitrate()`
    `int` | `getAudioChannels()`
    `int` | `getAudioCodecProfile()`
    `int` | `getAudioSampleRate()`
    `int` | `getBackgroundColor()`
    `RtcImage` | `getBackgroundImage()`
    `int` | `getBackgroundImageCount()`
    `int` | `getHeight()`
    `int` | `getLowLatency()`
    `java.lang.String` | `getMetadata()`
    `java.lang.String` | `getTranscodingExtraInfo()`
    `TranscodingUser` | `getTranscodingUsers()`
    `int` | `getUserCount()`
    `int` | `getVideoBitrate()`
    `int` | `getVideoCodecProfile()`
    `int` | `getVideoFrameRate()`
    `int` | `getVideoGop()`
    `RtcImage` | `getWatermark()`
    `int` | `getWatermarkCount()`
    `int` | `getWidth()`
    `void` | `setAudioBitrate(int audioBitrate)`
    `void` | `setAudioChannels(int audioChannels)`
    `void` | `setAudioCodecProfile(int audioCodecProfile)`
    `void` | `setAudioSampleRate(int audioSampleRate)`
    `void` | `setBackgroundColor(int backgroundColor)`
    `void` | `setBackgroundImage(RtcImage backgroundImage)`
    `void` | `setBackgroundImageCount(int backgroundImageCount)`
    `void` | `setHeight(int height)`
    `void` | `setLowLatency(int lowLatency)`
    `void` | `setMetadata(java.lang.String metadata)`
    `void` | `setTranscodingExtraInfo(java.lang.String transcodingExtraInfo)`
    `void` | `setTranscodingUsers(TranscodingUser transcodingUsers)`
    `void` | `setUserCount(int userCount)`
    `void` | `setVideoBitrate(int videoBitrate)`
    `void` | `setVideoCodecProfile(int videoCodecProfile)`
    `void` | `setVideoFrameRate(int videoFrameRate)`
    `void` | `setVideoGop(int videoGop)`
    `void` | `setWatermark(RtcImage watermark)`
    `void` | `setWatermarkCount(int watermarkCount)`
    `void` | `setWidth(int width)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### width

          private int width

    - #### height

          private int height

    - #### videoBitrate

          private int videoBitrate

    - #### videoFrameRate

          private int videoFrameRate

    - #### lowLatency

          private int lowLatency

    - #### videoGop

          private int videoGop

    - #### videoCodecProfile

          private int videoCodecProfile

    - #### backgroundColor

          private int backgroundColor

    - #### userCount

          private int userCount

    - #### transcodingUsers

          private TranscodingUser transcodingUsers

    - #### transcodingExtraInfo

          private java.lang.String transcodingExtraInfo

    - #### metadata

          private java.lang.String metadata

    - #### watermark

          private RtcImage watermark

    - #### watermarkCount

          private int watermarkCount

    - #### backgroundImage

          private RtcImage backgroundImage

    - #### backgroundImageCount

          private int backgroundImageCount

    - #### audioSampleRate

          private int audioSampleRate

    - #### audioBitrate

          private int audioBitrate

    - #### audioChannels

          private int audioChannels

    - #### audioCodecProfile

          private int audioCodecProfile

  - ### Constructor Detail

    - #### LiveTranscoding

          public LiveTranscoding()

    - #### LiveTranscoding

          public LiveTranscoding(int width,
                                 int height,
                                 int videoBitrate,
                                 int videoFrameRate,
                                 int lowLatency,
                                 int videoGop,
                                 int videoCodecProfile,
                                 int backgroundColor,
                                 int userCount,
                                 TranscodingUser transcodingUsers,
                                 java.lang.String transcodingExtraInfo,
                                 java.lang.String metadata,
                                 RtcImage watermark,
                                 int watermarkCount,
                                 RtcImage backgroundImage,
                                 int backgroundImageCount,
                                 int audioSampleRate,
                                 int audioBitrate,
                                 int audioChannels,
                                 int audioCodecProfile)

  - ### Method Detail

    - #### getWidth

          public int getWidth()

    - #### setWidth

          public void setWidth(int width)

    - #### getHeight

          public int getHeight()

    - #### setHeight

          public void setHeight(int height)

    - #### getVideoBitrate

          public int getVideoBitrate()

    - #### setVideoBitrate

          public void setVideoBitrate(int videoBitrate)

    - #### getVideoFrameRate

          public int getVideoFrameRate()

    - #### setVideoFrameRate

          public void setVideoFrameRate(int videoFrameRate)

    - #### getLowLatency

          public int getLowLatency()

    - #### setLowLatency

          public void setLowLatency(int lowLatency)

    - #### getVideoGop

          public int getVideoGop()

    - #### setVideoGop

          public void setVideoGop(int videoGop)

    - #### getVideoCodecProfile

          public int getVideoCodecProfile()

    - #### setVideoCodecProfile

          public void setVideoCodecProfile(int videoCodecProfile)

    - #### getBackgroundColor

          public int getBackgroundColor()

    - #### setBackgroundColor

          public void setBackgroundColor(int backgroundColor)

    - #### getUserCount

          public int getUserCount()

    - #### setUserCount

          public void setUserCount(int userCount)

    - #### getTranscodingUsers

          public TranscodingUser getTranscodingUsers()

    - #### setTranscodingUsers

          public void setTranscodingUsers(TranscodingUser transcodingUsers)

    - #### getTranscodingExtraInfo

          public java.lang.String getTranscodingExtraInfo()

    - #### setTranscodingExtraInfo

          public void setTranscodingExtraInfo(java.lang.String transcodingExtraInfo)

    - #### getMetadata

          public java.lang.String getMetadata()

    - #### setMetadata

          public void setMetadata(java.lang.String metadata)

    - #### getWatermark

          public RtcImage getWatermark()

    - #### setWatermark

          public void setWatermark(RtcImage watermark)

    - #### getWatermarkCount

          public int getWatermarkCount()

    - #### setWatermarkCount

          public void setWatermarkCount(int watermarkCount)

    - #### getBackgroundImage

          public RtcImage getBackgroundImage()

    - #### setBackgroundImage

          public void setBackgroundImage(RtcImage backgroundImage)

    - #### getBackgroundImageCount

          public int getBackgroundImageCount()

    - #### setBackgroundImageCount

          public void setBackgroundImageCount(int backgroundImageCount)

    - #### getAudioSampleRate

          public int getAudioSampleRate()

    - #### setAudioSampleRate

          public void setAudioSampleRate(int audioSampleRate)

    - #### getAudioBitrate

          public int getAudioBitrate()

    - #### setAudioBitrate

          public void setAudioBitrate(int audioBitrate)

    - #### getAudioChannels

          public int getAudioChannels()

    - #### setAudioChannels

          public void setAudioChannels(int audioChannels)

    - #### getAudioCodecProfile

          public int getAudioCodecProfile()

    - #### setAudioCodecProfile

          public void setAudioCodecProfile(int audioCodecProfile)